Public Member Functions
CHardwareAttribute Class Reference

## Detailed Description

Represents an attribute defined by hardware shaders a.k.a real-time shaders. CHardwareAttribute is typically used for defining standard vertex semantics (siHardwareInputSemantic) used in shader languages such as CgFX and HLSL. CHardwareAttribute can also be used for defining shader parameters of siShaderParameterType type.

Hardware attributes are defined through the hardware shader's GetAttributeList callback.

Since:
  9.0 (2011)

`#include <xsi_hardwareattribute.h>`

List of all members.

## Public Member Functions
| CHardwareAttribute ()
virtual | ~CHardwareAttribute ()
| CHardwareAttribute (const CHardwareAttribute &valSrc)
CHardwareAttribute & | operator= (const CHardwareAttribute &valSrc)
bool | operator== (const CHardwareAttribute &valSrc) const
bool | operator!= (const CHardwareAttribute &valSrc) const
CStatus | PutSemanticValue (const siHardwareInputSemantic inSemantic, const CValue &valSrc)
XSI::siHardwareInputSemantic | GetSemantic () const
XSI::CValue | GetSemanticValue () const
CStatus | SetAttributeData (XSI::CValue in_data, XSI::siShaderParameterType in_type, ULONG in_ulArraySize)
XSI::CValue | GetAttributeData ()
XSI::siShaderParameterType | GetAttributeType ()
ULONG | GetAttributeArraySize ()

## Constructor & Destructor Documentation

CHardwareAttribute | ( |  | ) |

Default constructor.

virtual ~CHardwareAttribute | ( |  | ) | `[virtual]`

Default destructor.

CHardwareAttribute | ( | const CHardwareAttribute & | valSrc | ) |

Constructor.

Parameters:

  valSrc | CHardwareAttribute object

## Member Function Documentation

CHardwareAttribute& operator= | ( | const CHardwareAttribute & | valSrc | ) |

Assignment

Parameters:

  valSrc | CHardwareAttribute value

bool operator== | ( | const CHardwareAttribute & | valSrc | ) | const

Comparison

Parameters:

  valSrc | CHardwareAttribute value

bool operator!= | ( | const CHardwareAttribute & | valSrc | ) | const

Inequality

Parameters:

  valSrc | CHardwareAttribute value

CStatus PutSemanticValue | ( | const siHardwareInputSemantic | inSemantic,
|  | const CValue & | valSrc
| ) |  |

Put the value for the selected semantic inSemantic siHardwareInputSemantic semantic

Parameters:

  valSrc | CValue value

XSI::siHardwareInputSemantic GetSemantic | ( |  | ) | const

Gets the semantic

XSI::CValue GetSemanticValue | ( |  | ) | const

Gets the value

CStatus SetAttributeData | ( | XSI::CValue | in_data,
|  | XSI::siShaderParameterType | in_type,
|  | ULONG | in_ulArraySize
| ) |  |

set the attribute data and type

XSI::CValue GetAttributeData | ( |  | ) |

Get the attribute data

XSI::siShaderParameterType GetAttributeType | ( |  | ) |

Get the attribute data

ULONG GetAttributeArraySize | ( |  | ) |

Get the size of the array (returns 1 if the data is not an array)

The documentation for this class was generated from the following file:

- xsi_hardwareattribute.h